#include <linux/module.h>

extern unsigned char code[], end_code[];

int init_module(void)
{
	unsigned char *p;
	printk("Before: ");
	for (p = code; p != end_code; p++) printk("%02x ", *p);
	printk("\n");
	asm("code:\n"
	    "pushf; cli; nop; nop; nop; nop; popf\n"
	    "end_code:\n"
	    : : : "memory");
	printk("After: ");
	for (p = code; p != end_code; p++) printk("%02x ", *p);
	printk("\n");
	return 0;
}

void cleanup_module(void)
{
}

MODULE_LICENSE("GPL");
